Financials

US Financials

Call GET /us/financials on the Corpus API.

GET /us/financials

Call GET /us/financials on the Corpus API.

Category: US · Financial Statements

Authentication

Send the provisioned API key in the X-API-KEY header.

Required scopes: us:read.

Request

NameInRequiredTypeConstraintsDescription
tickerqueryyesstring
as_ofquerynostring | null
limitquerynointegerdefault 40; min 1; max 200

Example request

curl --request GET \
  --url 'https://corpus-api.onera.app/us/financials?ticker=AAPL' \
  --header "X-API-KEY: ${CORPUS_API_KEY}"

Responses

StatusDescriptionContent typeSchema
200Successful Responseapplication/jsonFinancialsResponse
400Invalid parameter combinationapplication/jsonErrorResponse
401Missing or invalid API keyapplication/jsonErrorResponse
403Insufficient jurisdiction or scopeapplication/jsonErrorResponse
404Unknown resourceapplication/jsonErrorResponse
422Request schema validation failedapplication/jsonErrorResponse
429Rate limit exceededapplication/jsonErrorResponse
503Source content is unavailable or still processingapplication/jsonErrorResponse

Representative 200 response

{
  "income_statements": [
    {
      "ticker": "AAPL",
      "report_period": "2025-12-31",
      "fiscal_period": "FY",
      "period": "annual",
      "currency": "USD",
      "accession_number": "0000320193-25-000079",
      "filing_url": "https://corpus-api.onera.app",
      "filing_date": "2025-12-31",
      "filing_datetime": "2025-12-31T23:59:59Z",
      "revenue": 1,
      "cost_of_revenue": 1,
      "gross_profit": 1,
      "operating_income": 1,
      "net_income": 1,
      "earnings_per_share_basic": 1,
      "earnings_per_share_diluted": 1
    }
  ],
  "balance_sheets": [
    {
      "ticker": "AAPL",
      "report_period": "2025-12-31",
      "fiscal_period": "FY",
      "period": "annual",
      "currency": "USD",
      "accession_number": "0000320193-25-000079",
      "filing_url": "https://corpus-api.onera.app",
      "filing_date": "2025-12-31",
      "filing_datetime": "2025-12-31T23:59:59Z",
      "assets": 1,
      "current_assets": 1,
      "cash_and_equivalents": 1,
      "inventory": 1,
      "liabilities": 1,
      "current_liabilities": 1,
      "long_term_debt": 1,
      "shareholders_equity": 1
    }
  ],
  "cash_flow_statements": [
    {
      "ticker": "AAPL",
      "report_period": "2025-12-31",
      "fiscal_period": "FY",
      "period": "annual",
      "currency": "USD",
      "accession_number": "0000320193-25-000079",
      "filing_url": "https://corpus-api.onera.app",
      "filing_date": "2025-12-31",
      "filing_datetime": "2025-12-31T23:59:59Z",
      "operating_cash_flow": 1,
      "investing_cash_flow": 1,
      "financing_cash_flow": 1,
      "capital_expenditure": 1,
      "dividends_paid": 1
    }
  ],
  "meta": {
    "jurisdiction": "US",
    "count": 1,
    "limit": 10,
    "offset": 0,
    "next_offset": null,
    "as_of": "2025-12-31T23:59:59Z",
    "normalization_version": "string",
    "provenance": {}
  }
}